Bug 834866 - Secure boot
Secure boot
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-24 08:19 EDT by Philippe Symons
Modified: 2013-04-03 13:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-03 12:32:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philippe Symons 2012-06-24 08:19:40 EDT
Description of problem: Secure boot (brainstorm)

Version-Release number of selected component (if applicable): all the things

How reproducible: Try to install a Fedora install on a pc with a Microsoft Windows 8 certified motherboard.

Steps to Reproduce:
1. insert the cd
2. try to boot cd
3. fail
Actual results:
No execution of boot cd

Expected results:
Be able to install my distro

Additional info (and my actual idea):

Maybe a solution to the whole Secure boot fuss: let hardware manufacturers implement some kind of restricted mode overlay uefi-popup whenever a program wants to insert a new key. (And implement specific calls for that). When such a popup would be displayed, execution of the caller would be halted, and input would go directly to the uefi popup. The user then has to confirm or reject the action by pressing 'Y' or 'N'.

I seem to remember a similar approach in the years of Windows 3.11 when some bioses provided such approach to detect virusses by the bios. (don't shoot me though, i was 9 years old at the time).

Also keep stuff bootable, but without access to non-removable disks until a valid key is found.
Comment 1 Finnbarr P. Murphy 2012-07-05 00:20:29 EDT
Where you not able to disable Secure Boot?
Comment 2 Peter Jones 2013-04-03 12:32:00 EDT
Secure Boot is supported in Fedora 18 and newer.
Comment 3 Fedora End Of Life 2013-04-03 13:03:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.